#!/usr/bin/env bash

CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"

ALLOWED_SIZE_VALUES="2 3"
ALLOWED_DIFFICULTY_VALUES="easy medium hard"
GRIDS_COUNT=10

for SIZE in ${ALLOWED_SIZE_VALUES}; do
  echo "Size: ${SIZE}x${SIZE}"
  for DIFFICULTY in ${ALLOWED_DIFFICULTY_VALUES}; do
    echo "Difficulty: ${DIFFICULTY}"
    for i in $(seq ${GRIDS_COUNT}); do
      python ${CURRENT_DIR}/generate.py ${SIZE} ${DIFFICULTY} | tail -n 1
    done
  done
done
